Page MenuHomePhabricator

iOS & Android: MobileFrontend styles unconditionally adding borders to tables
Closed, ResolvedPublic

Description

styles.css unconditionally adds borders on tables in the content area. This causes oddities in some cases where tables are used for layout (they shouldn't be, but they are!)

For example the infobox template used on [[World War II]] adds an extra surrounding table if the 'campaignbox' parameter is used, which it is here. This adds an extra box around the infobox on MobileFrontend, and in the Android and iOS apps it creates an extra visible box that ends up sitting above the infobox because we move the infobox down out of where it was.


Version: Alpha
Severity: normal

Details

Reference
bz68579

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:34 AM
bzimport set Reference to bz68579.
bzimport added a subscriber: Unknown Object (MLST).
brion created this task.Jul 25 2014, 5:43 PM

Maybe tables within infoboxes shouldn't get automatic borders.

Are we talking about the table attached?

Attached:

Bahodir: Yes, I believe so.

Change 165120 had a related patch set uploaded by Bmansurov:
Remove borders from tables within infoboxes

https://gerrit.wikimedia.org/r/165120

Change 165120 merged by jenkins-bot:
Remove borders from tables within infoboxes

https://gerrit.wikimedia.org/r/165120

World War II article table with borders but no content.

The tables like the one in the attached image are very mysterious...

Attached:

Resetting bug report status from PATCH_TO_REVIEW to NEW as there are no patches left to review.

Deskana closed this task as Resolved.Nov 24 2014, 11:20 PM
Deskana claimed this task.

Pretty sure this is fixed.